/*
 * harddef.h
 *
 * Created: 2016-08-01 09:37:26
 *  Author: dsosnowski
 */ 


#ifndef HARDDEF_H_
#define HARDDEF_H_

#define IMP_PORT		PORTD
#define IMP_DDR			DDRD
#define IMP_IN			PIND
#define IMP_A			0
#define IMP_B			1
#define IMP_SW			4
#define SW1_PIN			3

#define PHASE_PORT		PORTD
#define PHASE_DDR		DDRD
#define PHASE_PIN		PIND
#define PHASE_IN		2		//(INT0)
#define PHASE_OUT		5
#define PHASE_ON		(PHASE_PORT &= ~(1<<PHASE_OUT))
#define PHASE_OFF		(PHASE_PORT |= (1<<PHASE_OUT))

#define LCD_PORT		PORTB
#define LCD_DDR			DDRB
#define LCD_DB4			4
#define LCD_DB5			5
#define LCD_DB6			6
#define LCD_DB7			7
#define LCD_RS			2
#define LCD_EN			3
#define LCD_DATA_PORT	LCD_PORT
#define LCD_COM_PORT	LCD_PORT
#define LCD_DATA_DDR	LCD_DDR
#define LCD_COM_DDR		LCD_DDR

#endif /* HARDDEF_H_ */